
//Farmacie CUP
var pm;

var enteArray=[];

// 
var layerPubb = "Farmacie pubbliche";
var layerPriv = "Farmacie private";
var pubb = "pubblica";
var priv = "privata";

// rettangolo di inscrizione RT
var xmin = 1460863.85;
var xmax = 1888704.71;
var ymin = 4690374.31;
var ymax = 4912134.75;

//Centro e zoom della mappa per provincia
var mappa = {
		RT:	{ x: 1676890.00, y: 4815680.00, zoom: 2000000 },
		AR:	{ x: 1744729.64, y: 4821410.87, zoom: 750000 },
		FI:	{ x: 1695169.54, y: 4854170.94, zoom: 750000 },
		GR:	{ x: 1702729.55, y: 4738418.71, zoom: 800000 },
		LI:	{ x: 1633177.42, y: 4783000.00, zoom: 850000 },
		LU:	{ x: 1616780.83, y: 4874691.81, zoom: 600000 },
		MS:	{ x: 1580240.76, y: 4897455.85, zoom: 600000 },
		PI:	{ x: 1639364.69, y: 4816362.59, zoom: 750000 },
		PT:	{ x: 1654948.94, y: 4868887.52, zoom: 600000 },
		PO:	{ x: 1676116.99, y: 4867375.52, zoom: 600000 },
		SI:	{ x: 1712641.57, y: 4784954.80, zoom: 800000 }
}


$(document).ready(function (){
//  setComboFiliera();
	caricaDati();

			
});

//capitalize_Words 
function capitalize_Words(str)
{
 return str.replace(/\w\S*/g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();});
}

// funzione di caricamento dati da mostrare nell'elenco 
		function caricaDati() { 

	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "farmacieCUPXall.json",
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			
			
			for(i=0;i<x.farmacieCUPXall.SelXall.length;i++){
				    enteArray.push({idente: x.farmacieCUPXall.SelXall[i].sins_id,
					farmacia: x.farmacieCUPXall.SelXall[i].sins_description,
					indirizzo: x.farmacieCUPXall.SelXall[i].indirizzo_input,
					comune: x.farmacieCUPXall.SelXall[i].comune_input,
					prov: x.farmacieCUPXall.SelXall[i].provincia_input,
					tipofarmacia: x.farmacieCUPXall.SelXall[i].tipofarmacia,
					aziendausl: x.farmacieCUPXall.SelXall[i].aziendausl,
					exasl: x.farmacieCUPXall.SelXall[i].exasl,
					adesione_accordo: x.farmacieCUPXall.SelXall[i].adesione_accordo,
					gbest:x.farmacieCUPXall.SelXall[i].sins_x,
					gbnord:x.farmacieCUPXall.SelXall[i].sins_y});
				//	alert(enteArray[i].ente);
			}
			
			//alert(enteArray.length);
			},
			
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}
			




		//****funzioni custom per gestione della risposta
			//l'oggetto di risposta sta in event.detail
			function handleInfoResponse(event) {
			
				document.getElementById("extent-info").innerHTML = "";
				// data in event.detail
				if (event.detail != null) {
					document.getElementById("searchdata").innerHTML = getInfoFromData(event.detail);
				} else {
					document.getElementById("searchdata").innerHTML = '<p>nessun oggetto trovato</p>';
				}
			}
		
			//l'oggetto di risposta sta in event.detail
			function handleSearchResponse(event) {
				// data in event.detail
				if (event.detail != null) {
					document.getElementById("searchdata").innerHTML = getTableFromData(event.detail);
				} else {
					document.getElementById("searchdata").innerHTML = '<p>nessun risultato trovato</p>';
				}
			}
		
			//evento senza dati, indica solo l'inizio della ricerca
			function handleSearchStart(event) {
				// data in event.detail
				document.getElementById("searchdata").innerHTML = '<p>ricerca in corso...</p>';
			}
		
			//Eventuali errori stanno in event.detail
			function handleSearchError(event) {
				// data in event.detail
				document.getElementById("searchdata").innerHTML = '<p>Errore nella ricerca: '
						+ event.detail + '</p>';
			}
		
			//funzione esempio per visualizzazione della risposta di ricerca
			function getTableFromData(data) {
		
				// tabella esempio con risultati
				// e link per andare sull'oggetto trovato in mappa
				var retval = '<table id="tabledata">';
		
				retval += '<tr>';
				retval += '<td><b>Risultati:</b></td>';
				retval += '</tr>';
		
				for ( var i in data) {
					retval += '<tr>';
					retval += "<td><a href=\"#\" title=\"vedi sulla mappa\" onClick=\"pm.zoomToObjWithCodTPN('"
							+ data[i].codTPN
							+ "','"
							+ data[i].key
							+ "',false,2000,null); return false;\" >"
							+ data[i].description + "</a></td>";
					retval += '</tr>';
				}
		
				retval += '</table>';
		
				return retval;
			}
		
			//funzione esempio per visualizzazione della risposta di info su host
			function getInfoFromData(data) {
				// tabella esempio con risultati
				// e link per andare sull'oggetto trovato in mappa
				var retval = '<table id="tabledata">';
		
				retval += '<tr>';
				retval += '<td><b>Info:</b></td>';
				retval += '</tr>';
		
				for ( var i in data) {
					retval += '<tr>';
					retval += "<td>" + data[i].nl + ": " + data[i].value + "</td>";
					retval += '</tr>';
				}
		
				retval += '</table>';
		
				return retval;
			}

			// funzione associata all'evento handleReadNewExtent
			function writeNewExtent(event) {
			  //  selectedFiliera = document.getElementById("combo_filiera_ID").value;
				document.getElementById("searchdata").innerHTML = "";
                var nstrutture= 0;
				var htmlList = "<b><i>Strutture presenti sulla mappa</i></b> <br/> <ul></ul>";
	            
				xmin = event.detail.left;
				xmax = event.detail.right;
				ymin = event.detail.bottom;
				ymax = event.detail.top;
				
				for(i=0;i<enteArray.length;i++){
				
				 if (((enteArray[i].gbest >= xmin) && (enteArray[i].gbest < xmax))
				 &&
				 ((enteArray[i].gbnord >= ymin) && (enteArray[i].gbnord < ymax))){
				 
				  if ((enteArray[i].tipofarmacia == pubb) || (enteArray[i].tipofarmacia == priv)) {
				  nstrutture = nstrutture + 1;
				  htmlList += '<li><b>' + enteArray[i].farmacia.substring(0,60) + '</b>'; 
				  htmlList += '<br/>Indirizzo: ' + enteArray[i].indirizzo;
				  htmlList += '<br/>Comune: ' + enteArray[i].comune ;
				  htmlList += '<br/><a class="btn-provincia" role="button" href="javascript:pm.gotoPosition('+ mappa[enteArray[i].prov].x + ', ' + mappa[enteArray[i].prov].y + ','+ mappa[enteArray[i].prov].zoom +', false);"> Provincia: ' + enteArray[i].prov + '</a>';
				  htmlList += '<br/><font color=#FF3300;>==========================</font>';
				  htmlList += '<br/>Tipo farmacia: ' + enteArray[i].tipofarmacia;
				  htmlList += '<br/>Aziendausl: ' + enteArray[i].aziendausl + '<br/>';
				  htmlList += '<a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',false);"> zoom alla sede </a></li><br>';
				 } // if pubb o priv
				 } // if coord
				} // for
			    
				//alert (nstrutture);
				if (nstrutture == 0) htmlList = "<b>Non ci sono strutture in quest'area</b>";
				document.getElementById("extent-info").innerHTML = htmlList;
		
			} //function
			
			// funzione associata all'evento spegnimento o accensione layer
			function writeLayer() {
			  //  selectedFiliera = document.getElementById("combo_filiera_ID").value;
				document.getElementById("searchdata").innerHTML = "";
                var nstrutture = 0;
				var htmlList = "<b><i>Strutture presenti sulla mappa</i></b> <br/> <ul></ul>";
	            
				
				for(i=0;i<enteArray.length;i++){
				
				 if (((enteArray[i].gbest >= xmin) && (enteArray[i].gbest < xmax))
				 &&
				 ((enteArray[i].gbnord >= ymin) && (enteArray[i].gbnord < ymax))){
				 
				  if ((enteArray[i].tipofarmacia == pubb) || (enteArray[i].tipofarmacia == priv)) {
				  nstrutture = nstrutture + 1;
				  htmlList += '<li><b>' + enteArray[i].farmacia.substring(0,60) + '</b>'; 
				  htmlList += '<br/>Indirizzo: ' + enteArray[i].indirizzo;
				  htmlList += '<br/>Comune: ' + enteArray[i].comune ;
				  htmlList += '<br/><a class="btn-provincia" role="button" href="javascript:pm.gotoPosition('+ mappa[enteArray[i].prov].x + ', ' + mappa[enteArray[i].prov].y + ','+ mappa[enteArray[i].prov].zoom +', false);"> Provincia: ' + enteArray[i].prov + '</a>';
				  htmlList += '<br/><font color=#FF3300;>==========================</font>';
				  htmlList += '<br/>Tipo farmacia: ' + enteArray[i].tipofarmacia;
				  htmlList += '<br/>Aziendausl: ' + enteArray[i].aziendausl + '<br/>';
				  htmlList += '<a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',false);"> zoom alla sede </a></li><br>';
				 } // if coord
				 } // if pubb o priv
				} // for
			  
				//alert (nstrutture);
			    if (nstrutture == 0) htmlList = "<b>Non ci sono strutture in quest'area</b>";
				document.getElementById("extent-info").innerHTML = htmlList;
		
			} //function writelayer
			
			function toggle1(button)
            {
              if(document.getElementById("1").value=="Spegni Private")
              {
               document.getElementById("1").value="Accendi Private";
			   pm.setLayerVisibility(layerPriv, false);
			   priv='ko';
			   writeLayer();
              }
              else
              {
               document.getElementById("1").value="Spegni Private";
			   pm.setLayerVisibility(layerPriv, true);
			   priv='privata';
			   writeLayer();
              }
			 }
			 

			function toggle2(button)
			 {
			  if(document.getElementById("2").value=="Spegni Pubbliche")
              {
               document.getElementById("2").value="Accendi Pubbliche";
			   pm.setLayerVisibility(layerPubb, false);
			   pubb='ko';
			   writeLayer();
              }
              else
              {
                document.getElementById("2").value="Spegni Pubbliche";
			   pm.setLayerVisibility(layerPubb, true);
			   pubb='pubblica';
			   writeLayer();
              }
            }
		










